Microsimulation API

Classes | Namespaces | Enumerations | Functions | Variables
/home/marcle/src/R/microsimulation/src/illness-death.cpp File Reference
`#include <microsimulation.h>`
`#include <numeric>`
Include dependency graph for illness-death.cpp:

Go to the source code of this file.

## Classes
class | illnessDeath::SimplePerson

## Namespaces
| illnessDeath

## Enumerations
enum | illnessDeath::state_t { illnessDeath::Healthy, illnessDeath::Cancer }
enum | illnessDeath::event_t { illnessDeath::toOtherDeath, illnessDeath::toCancer, illnessDeath::toCancerDeath }

## Functions
double | illnessDeath::b_weibull (double mean, double a, double rr=1.0)
RcppExport SEXP | illnessDeath::callIllnessDeath (SEXP parms)

## Variables
EventReport< short, short, double > | illnessDeath::report
double | illnessDeath::cure
double | illnessDeath::zsd